
package air.cairngorm.sync.example.commands
{
	import com.adobe.cairngorm.CairngormError;
	import com.adobe.cairngorm.CairngormMessageCodes;
	import com.adobe.cairngorm.commands.ICommand;
	import com.adobe.cairngorm.control.CairngormEvent;
	import air.cairngorm.sync.example.business.UserServiceDelegate;
	import air.cairngorm.sync.example.events.ServiceErrorEvent;
	import air.cairngorm.sync.example.model.ModelLocator;
	import flash.data.SQLResult;
	import flash.errors.SQLError;
	
	internal class AbstractSQLServiceCommand implements ICommand
	{
		protected var model:ModelLocator = ModelLocator.getInstance();
		protected var delegate:UserServiceDelegate;
		
		public function AbstractSQLServiceCommand()
		{
			delegate = new UserServiceDelegate();
		}
			
		public function execute(event:CairngormEvent) : void
		{
			throw new CairngormError( CairngormMessageCodes.ABSTRACT_METHOD_CALLED, "execute" );
		}
	}
}

