
package air.cairngorm.sync.example.commands
{
	import com.adobe.cairngorm.control.CairngormEvent;
	import air.cairngorm.sync.example.events.CreateUserEvent;
	import flash.data.SQLResult;
	import flash.errors.SQLError;
	
	public final class CreateUserCommand extends AbstractSQLServiceCommand
	{
		public override function execute(event:CairngormEvent):void
		{
			var evt:CreateUserEvent = event as CreateUserEvent;
			
			try {
				delegate.addUser( evt.user );
			}
			catch (error:SQLError)
			{
				trace( error.message ); 
			}
			new SelectUsersCommand().execute( null );
		}
	}
}

